import { world, system } from '@minecraft/server'
import "bar_jump"
import "dash"
import "wall_jump"
import "ledge_grabbing"
import "./gametests/parkour_handbook.js"

class loreItem {
    constructor(itemId, lore) {
        this.itemId = itemId;
        this.lore = lore;
    }
}

const ItemArray = [
    new loreItem("parkour:parkour_gloves", [
        "",
        "§r§8These special gloves allow you",
        "§r§8to do all sorts of parkour tricks",
        "§r§8such as bar swings!",
        "§r§8(Also prevents you from getting",
        "§r§8calluces on your hands!)"
    ]),
    new loreItem("parkour:parkour_handbook", [
        "",
        "§r§4WARNING: §8We are not liable for any injuries",
        "§r§8you may face after learning parkour!"
    ])

];

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const playerContainer = player.getComponent("inventory").container
        for (let i = 0; i < playerContainer.size; i++) {
            const item = playerContainer.getItem(i);
            const findLore = ItemArray.find(x => x.itemId == item?.typeId);
            const lore = item?.getLore();
            if (!findLore || !item || lore?.length != 0) continue
            item.setLore(findLore.lore);
            playerContainer.setItem(i, item);
        }
    }
}, 1);